Subject: Re: [PATCH v6 0/7] Support %(trailers) arguments in for-each-ref(1)

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Oct 2017 17:07:58 +0900

Taylor Blau <[email-masked]> writes:

> Attached is the sixth revision of my patch-set "Support %(trailers)
> arguments in for-each-ref(1)".
>
> In includes the following changes since v5:
>
>   * Added an additional patch to change t4205 to harden `unfold()`
>     against multi-line trailer folding.
>
>   * Added a missing parameter call in ref-filter.c to
>     `trailers_atom_parser` through `contents_atom_parser`.
>
> I believe that this version of the series should be ready for queueing.
>
> I am going to address Peff's follow-up for teaching
> `parse_ref_atom_filter` to accept "empty" argument lists as
> `%(refname:)` in a follow-up series later this evening.
>
> Thanks again :-).

Thanks.  t6300 seems to show that %(contents:trailers:unfold) does
not quite work, among other things.

  https://travis-ci.org/git/git/jobs/282126607#L3658

I didn't have a chance to look into it myself.